package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 86187
 * @ Description   :  用户实体类
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/8 19:59
 */
@Data
@ApiModel(value = "AccountUsers")
@TableName("user")
public class User implements Serializable {
    private static final long serialVersionUID = 2525339404301884673L;

    /**
     * 主键id
     */
    @ApiModelProperty(name = "id", value = "用户主键id")
    private Integer id;

    /**
     * 手机号作为用户账号
     */
    @ApiModelProperty(name = "user_id", value = "用户主键id")
    private Integer userId;


    /**
     * 密码
     */
    @ApiModelProperty(name = "password", value = "用户密码")
    private String password;


    /**
     * 用户会员等级
     */
    @ApiModelProperty(name = "user_level", value = "用户会员等级")
    private String userLevel;

    /**
     * 跨境额度
     */
    @ApiModelProperty(name = "cross_border_line", value = "跨境额度")
    private BigDecimal crossBorderLine;

    /**
     * 身份证号码
     */
    @ApiModelProperty(name = "id_card_number", value = "身份证号码")
    private Integer idCardNumber;

    /**
     * 粉丝昵称
     */
    @ApiModelProperty(name = "fans_nickname", value = "粉丝昵称")
    private String fansNickname;

    /**
     * 学生类型
     */
    @ApiModelProperty(name = "fans_id", value = "有赞粉丝id，有赞自动生成")
    private Integer fansId;

    /**
     * 用户邀请码
     */
    @ApiModelProperty(name = "invite_code", value = "用户邀请码")
    private Integer inviteCode;

    /**
     * 被邀请码
     */
    @ApiModelProperty(name = "be_invited_code", value = "被邀请码")
    private Integer beInvitedCode;

    /**
     * 团队成员数量
     */
    @ApiModelProperty(name = " team_members_num", value = "团队成员数量")
    private Integer  teamMembersNum;

    /**
     * 普通用户数量
     */
    @ApiModelProperty(name = " normal_user_num", value = "普通用户数量")
    private Integer  normalUserNm;

    /**
     * 幼苗数量
     */
    @ApiModelProperty(name = " seedling_num", value = "幼苗数量")
    private Integer  seedlingNum;

    /**
     * 青铜树数量
     */
    @ApiModelProperty(name = " bronze_tree_num", value = "青铜树数量")
    private Integer  bronzeTreeNum;

    /**
     * 白银树数量
     */
    @ApiModelProperty(name = " silver_tree_num", value = "白银树数量")
    private Integer  silverTreeNum;


    /**
     * 黄金树数量
     */
    @ApiModelProperty(name = " gold_tree_num", value = "黄金树数量")
    private Integer  goldTreeNum;

    /**
     * 农场主数量
     */
    @ApiModelProperty(name = " farmer_num", value = "农场主数量")
    private Integer  farmerNum;

    /**
     * 森林之星数量
     */
    @ApiModelProperty(name = " forest_start_num", value = "森林之星数量")
    private Integer  forestStartNum;

    /**
     * 西田森合伙人数量
     */
    @ApiModelProperty(name = " partner_num", value = "西田森合伙人数量")
    private Integer  partnerNum;

    /**
     * 直推人数
     */
    @ApiModelProperty(name = " referrer_num", value = "直推人数")
    private Integer  referrerNum;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(name = "updateTime", value = "修改时间")
    private Date updateTime;

}
